Loading...
Searching...
No Matches
FastSweeping< SdfGridT, ExtValueT >::MaskKernel< MaskTreeT > Struct Template Reference

Private class of FastSweeping to perform multi-threaded initialization. More...

`#include <openvdb/tools/FastSweeping.h>`

## Public Types

using | LeafRange = typename tree::LeafManager<const MaskTreeT>::LeafRange

## Public Member Functions

| MaskKernel (FastSweeping &parent)
| MaskKernel (const MaskKernel &parent)=default
MaskKernel & | operator= (const MaskKernel &)=delete
void | run (const MaskTreeT &mask)

## Public Attributes

FastSweeping * | mParent
SdfGridT * | mSdfGrid

## Detailed Description

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>
template<typename MaskTreeT>
struct openvdb::v11_0::tools::FastSweeping< SdfGridT, ExtValueT >::MaskKernel< MaskTreeT >

Private class of FastSweeping to perform multi-threaded initialization.

## Member Typedef Documentation

## LeafRange

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>
template<typename MaskTreeT >

using LeafRange = typename tree::LeafManager<const MaskTreeT>::LeafRange

## Constructor & Destructor Documentation

## MaskKernel() [1/2]

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>
template<typename MaskTreeT >

MaskKernel | ( | FastSweeping & | parent | ) |

inline

## MaskKernel() [2/2]

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>
template<typename MaskTreeT >

MaskKernel | ( | const MaskKernel< MaskTreeT > & | parent | ) |

default

## Member Function Documentation

## operator=()

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>
template<typename MaskTreeT >

MaskKernel & operator= | ( | const MaskKernel< MaskTreeT > & |  | ) |

delete

## run()

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>
template<typename MaskTreeT >

void run | ( | const MaskTreeT & | mask | ) |

inline

## Member Data Documentation

## mParent

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>
template<typename MaskTreeT >

FastSweeping* mParent

## mSdfGrid

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>
template<typename MaskTreeT >

SdfGridT* mSdfGrid